"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.difference = void 0;
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const difference_1 = require("../utils/difference");
function difference(input, inputModifier) {
    return (source) => rxjs_1.isObservable(input)
        ? input.pipe(operators_1.switchMap((value) => source.pipe(operators_1.map(difference_1.mapDifference(value, inputModifier)))))
        : source.pipe(operators_1.map(difference_1.mapDifference(input, inputModifier)));
}
exports.difference = difference;
//# sourceMappingURL=difference.js.map