"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.intersectsWith = void 0;
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const intersects_1 = require("../utils/intersects");
function intersectsWith(input, predicate) {
    return (source) => rxjs_1.isObservable(input)
        ? input.pipe(operators_1.switchMap((inputFromSource) => source.pipe(operators_1.map(intersects_1.mapIntersectsWith(inputFromSource, predicate)))))
        : source.pipe(operators_1.map(intersects_1.mapIntersectsWith(input, predicate)));
}
exports.intersectsWith = intersectsWith;
//# sourceMappingURL=intersects-with.js.map