"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultSort = exports.binarySearcher = void 0;
function binarySearcher(searchValue, searchArray, property) {
    let first = 0;
    let last = searchArray.length - 1;
    let position = -1;
    let found = false;
    let middle;
    while (!found && first <= last) {
        middle = Math.round((first + last) / 2);
        let checkValue;
        if (typeof property === 'number' || property) {
            checkValue = searchArray[middle][property];
        }
        else {
            checkValue = searchArray[middle];
        }
        if (checkValue == searchValue) {
            found = true;
            position = middle;
        }
        else if (checkValue > searchValue) {
            last = middle - 1;
        }
        else {
            first = middle + 1;
        }
    }
    return position;
}
exports.binarySearcher = binarySearcher;
function defaultSort(first, second) {
    if (typeof first === 'string') {
        return first.localeCompare(second);
    }
    if (first === second)
        return 0;
    return first < second ? -1 : 1;
}
exports.defaultSort = defaultSort;
//# sourceMappingURL=binary-search.js.map